Bug 1283336 - [RFE] TripleO Network Isolation Should Allow Non-Standard Networks on Roles
[RFE] TripleO Network Isolation Should Allow Non-Standard Networks on Roles
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director (Show other bugs)
8.0 (Liberty)
Unspecified Unspecified
unspecified Severity unspecified
: ga
: 8.0 (Liberty)
Assigned To: Hugh Brock
Shai Revivo
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-18 13:22 EST by Dan Sneddon
Modified: 2016-09-12 23:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Previously, in Red Hat Enterprise Linux OpenStack Platform 7, the networks that could be used on each role was fixed. Consequently, it was not possible to have a custom network topology with any network, on any role. With this update, in Red Hat OpenStack Platform 8 and higher, any network may be assigned to any role. As a result, custom network topologies are now possible, but the ports for each role will have to be customized. Review the `environments/network-isolation.yaml` file in `openstack-tripleo-heat-templates` to see how to enable ports for each role in a custom environment file or in `network-environment.yaml`.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-27 16:59:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1517575 None None None Never

  None (edit)
Description Dan Sneddon 2015-11-18 13:22:14 EST
Description of problem:
TripleO isolated networking is very prescriptive about which networks can be used on which roles. For OpenDaylight we need to have the External network on the Compute nodes. This support needs to be added in the controller templates

Version-Release number of selected component (if applicable):
OSP 8 beta 1

Additional info:
We might as well add support for all networks to every role, so this will cover any custom use case in the future. Upstream bug created to track: https://bugs.launchpad.net/tripleo/+bug/1517575
Comment 3 Mike Burns 2016-04-07 16:57:01 EDT
This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.
Comment 5 Dan Sneddon 2016-07-27 16:59:12 EDT
This enhancement was included in OSP 8. Starting with OSP 8 it is now possible to use any network on any role. Doc text updated.

Note You need to log in before you can comment on or make changes to this bug.